/****************************************************************************

         #####   #####  #     #       #  #####   #####    ###
        #     # #     # ##    #      #  #     # #     #    #
        #       #       # #   #     #   #       #          #
        #       #       #  #  #    #    #        #####     #
        #       #       #   # #   #     #             #    #
        #     # #     # #    ##  #      #     # #     #    #
         #####   #####  #     # #        #####   #####    ###

****************************************************************************/
/*
* @PROJECT  CCN/CSI
* @SYSTEM   APACHE
* @PACKAGE  COMMON
*
* @FILE     args.c
*
* @ABSTRACT
* Apache common functions
*
* This file contains:
* The management of the url's arguments used by the Apache handlers
*
* @INCLUDE

#include "httpd.h"
#include "http_config.h"
#include "http_request.h"

#include "gcn_uptyp.h"
#include "gcn_upcon.h"
#include "cdx_upcon.h"
#include "cdx_uptyp.h"

#include "com_uptyp.h"
#include "com_upext.h"


table *ArgumentsParse(request_rec *r)
{
    table *args = NULL;
    const CSICHAR *data = (CSICHAR *) ap_pstrdup(r->pool
                                                ,r->args
                                                );
    const char *pair;

    args = ap_make_table(r->pool, 0);

    while (   NULL != data
           && *data
           && (pair = ap_getword(r->pool, &data, '&'))
          )
    {
        const char *key;
 
        key = ap_getword(r->pool, &pair, '=');
        ap_unescape_url((char *) pair);
        ap_table_set(args, key, pair);
    }

    return args;
}
