/****************************************************************************

         #####   #####  #     #       #  #####   #####    ###
        #     # #     # ##    #      #  #     # #     #    #
        #       #       # #   #     #   #       #          #
        #       #       #  #  #    #    #        #####     #
        #       #       #   # #   #     #             #    #
        #     # #     # #    ##  #      #     # #     #    #
         #####   #####  #     # #        #####   #####    ###

****************************************************************************/
/*
* @PROJECT  CCN/CSI
* @SYSTEM   CCN
* @PACKAGE  LI (Local Intelligence engine)
* 
* @FILE     li_upext.h

* @ABSTRACT
* Local Intelligence User & Provider EXTernal declarations.
* This file contains:
* - prototype of <@FUNCTION li_service>: however, note that this function
*   shall never be called nominally but by pointer 
*   (see <@FUNCTION CSI_advertise>).
* - declaration of <@GLOBALVAR li_ProcCntxt_S>.
*  
*/


#ifndef _LI_UPEXT_H
#define _LI_UPEXT_H

#include "li_prtyp.h"

/*****************************************************/
/*** LI ENGINE FUNCTIONS AND ROUTINES (PROTOTYPES) ***/
/*****************************************************/

extern CSIVOID         li_service (
IN     CSISVCINFO     *svcInfo_P
);

/**********************************************/
/*** EXTERNAL GLOBAL VARIABLES DECLARATIONS ***/
/**********************************************/

extern LI_PROCCONTEXT li_ProcCntxt_S;   /* The LI process context */

#endif /* _li_upext_H */

/****************************************************************************/
